Bug 1705 - [UPDATE REQUEST] boost 1.53.0
: [UPDATE REQUEST] boost 1.53.0
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-20 14:13 MSK by Aleksey Yermakov
Modified: 2013-06-26 23:19 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksey Yermakov 2013-02-20 14:13:47 MSK

    
Comment 1 Aleksey Yermakov 2013-02-20 14:15:10 MSK
Advisory:
Update to the latest upstream version 1.53.0

Buildlists:
https://abf.rosalinux.ru/build_lists/962437
https://abf.rosalinux.ru/build_lists/962438
Comment 2 Alexander Burmashev 2013-02-20 14:17:55 MSK
Small comment - the update is absolutely sane, but after such boost update you need to rebuild all packages that have *boost* buildrequires.
Comment 3 Vladimir Potapov 2013-02-20 16:56:34 MSK
This package don't set up as update....
Comment 4 Aleksey Yermakov 2013-02-20 18:18:43 MSK
Just checked update from personal repository, everything went good, without errors.
What errors do you get, Vladimir?
Comment 5 Vladimir Potapov 2013-02-21 12:32:25 MSK
(In reply to comment #4)
> Just checked update from personal repository, everything went good, without
> errors.
> What errors do you get, Vladimir?
See the comment of Alexander Burmashev
Comment 6 Alexander Burmashev 2013-02-21 12:36:35 MSK
(In reply to comment #4)
> Just checked update from personal repository, everything went good, without
> errors.
> What errors do you get, Vladimir?

There is no errors, but new boost is not fully compatible with the old one.
http://upstream-tracker.org/versions/boost.html
What does it mean in practice ? That all packages that have boost buildrequire must be rebuilt, and there is a big number of such packages.
Comment 7 Aleksey Yermakov 2013-02-21 13:24:17 MSK
So, it can be updated only on mass rebuild? Or only on next distro version?
Comment 8 Alexander Burmashev 2013-02-21 13:25:49 MSK
Or you can wait a bit until a new feature on ABF is released ( http://abf-blog.rosalinux.ru/post/43508039365/ability-to-attach-at-assembly-to-a-personal-repository ), rebuild all necessary packages on new boost and then reopen the QA request.
Comment 9 Aleksey Yermakov 2013-02-22 10:37:32 MSK
Thanks for feedback. I'll wait for assembly feature.
Comment 10 Denis Silakov 2013-06-21 12:29:32 MSD
The necessary ABF functionality was implemented quite long ago.

If you still want to update boost, you should rebuild all dependent packages with new boost by attaching a new boost container to them.

But there are a lot of packages that should be rebuilt, maybe it's better to wait until next distribution version? We already have boost 1.53 in cooker, and likely the next ROSA release will use it.

So I would close this bug as 'wontfix' until anyone has serious reasons to update boost.